void grv98_mod(int iSV,double Xb,double Q2,double &dUV,double &dDV,double &dUS,double &dDS,double &dSS,double *p)
{
  //
  // int iSV: Scaling Variable 0: old variable, 1: new scaling variable
  //
  //
  //
                                                                                
  //
  // decode parameters
  //
                                                                                
  double C1vvu  =p[iC1vvu];
  double C1vvd  =p[iC1vvd];
  double C2vvu  =p[iC2vvu];
  double C2vvd  =p[iC2vvd];
                                                                                
  double C1vsu  =p[iC1vsu];
  double C1vsd  =p[iC1vsd];
                                                                                
/*
  double MA24   =p[iMA24];
  double GA2M1  =p[iGA2M1];
  double Z      =p[iZ];
                                                                                
  double C1avu  =MA24;
  double C1avd  =MA24;
  double C2avu  =Z*C1avu;
  double C2avd  =(2*Z+GA2M1)*C1avd;
                                                                                
  double C1asu  =p[iC1as];
  double C1asd  =p[iC1as];
  double C2asu  =p[iC2as];
  double C2asd  =p[iC2as];
*/
  double C1avu  =C1vvu;
  double C1avd  =C1vvd;
  double C2avu  =C2vvu;
  double C2avd  =C2vvd;
                                                                                
  double C1asu  =C1vsu;
  double C1asd  =C1vsd;
  double C2asu  =0;
  double C2asd  =0;
                                                                                
  double fPDF   =p[iPDF];
                                                                                
  double Q=sqrt(Q2);
  double uv,dv,us,ds,ss,cc,bb,tt,glu;
  grv98_lo_du(Xb,Q,uv,dv,us,ds,ss,cc,bb,tt,glu);
                                                                                
  //
  // if iSV=0, we use the old variable, just copy grv_98_lo outputs
  //
                                                                                
  if (iSV==0)
  {
    dUV=uv;
    dDV=dv;
    dUS=us;
    dDS=ds;
    dSS=ss;
    return;
  }
                                                                                
  //
  //
  //
                                                                                
  double vvu_fac = (Q2+C2vvu)/(Q2+C1vvu);
  double vvd_fac = (Q2+C2vvd)/(Q2+C1vvd);
  double avu_fac = (Q2+C2avu)/(Q2+C1avu);
  double avd_fac = (Q2+C2avd)/(Q2+C1avd);
                                                                                
  double vsu_fac =  Q2       /(Q2+C1vsu);
  double vsd_fac =  Q2       /(Q2+C1vsd);
  double asu_fac = (Q2+C2asu)/(Q2+C1asu);
  double asd_fac = (Q2+C2asd)/(Q2+C1asd);
                                                                                
  double f2el = 1.0/pow((1.+Q2/0.71),4);
  double val_fac = 0.5*(1-f2el);
  double sea_fac = 0.5;
                                                                                
  double UVv = val_fac * uv * vvu_fac;
  double UVa = 0.5 *     uv * avu_fac;
                                                                                
  double DVv = val_fac * dv * vvd_fac;
  double DVa = 0.5 *     dv * avd_fac;
                                                                                
  double USv = sea_fac * us * vsu_fac;
  double USa = sea_fac * us * asu_fac;
                                                                                
  double DSv = sea_fac * ds * vsd_fac;
  double DSa = sea_fac * ds * asd_fac;
                                                                                
  double SSv = sea_fac * ss * vsd_fac; // use the values from dsea
  double SSa = sea_fac * ss * asd_fac;
                                                                                
  dUV = (UVv + UVa) * fPDF;
  dDV = (DVv + DVa) * fPDF;
  dUS = (USv + USa) * fPDF;
  dDS = (DSv + DSa) * fPDF;
  dSS = (SSv + SSa) * fPDF;
  return;
}
                                                                                

